module Dokku
  module Command
    class Base
      def self.run(args)
        setup_cloud_and_app
      end
      
      def cloud
        @cloud ||= ""
      end
      
      def app
        @app ||= ""
      end
      
      def self.app_url
        "http://#{@app}.#{@cloud}"
      end
      
      def self.setup_cloud_and_app
        @remote_url = `git config --get remote.dokku.url`.strip
        @git_user, @cloud, @app = @remote_url.split(/[@:]/)
      end
      
      def self.stop_app
        
      end
    end
  end
end