module Dokku
  module Command
    class Create < Base
      def self.run(args)
        super
        
        @cloud = args.shift.strip #rescue Dokku::Command.run("help")
        @app = args.shift.strip #rescue Dokku::Command.run("help")
        
        add_git_remote
      end
      
      def self.git_url
        "git@#{@cloud}:#{@app}"
      end
      
      def self.add_git_remote
        `git remote add dokku #{git_url}`
      end
    end
  end
end